
$(document).ready( function () {
    $('#document-table__enqueue, #document-table__completed, #document-table, #comsec-table__enqueue, #comsec-table__completed').DataTable({
        "language": {
              "paginate": {
                "next": ">",         // Text for the "Next" page button
                "previous": "<"  // Text for the "Previous" page button
              },
              // Add more text customizations if needed
            },
           columnDefs: [
              { targets: [0,1,2,3,4,5,6], orderable: false } // Change the index [1] if needed
            ]
      });

    $("#subscription-table").DataTable({
        "language": {
              "paginate": {
                "next": ">",         // Text for the "Next" page button
                "previous": "<"  // Text for the "Previous" page button
              },
              // Add more text customizations if needed
            },
           columnDefs: [
              { targets: [0,1,2,3,4,5], orderable: false } // Change the index [1] if needed
            ]
      });

    $("#access-level-table, #log-table").DataTable({
        "language": {
              "paginate": {
                "next": ">",         // Text for the "Next" page button
                "previous": "<"  // Text for the "Previous" page button
              },
              // Add more text customizations if needed
            },
           columnDefs: [
              { targets: [0,1,2,3,4], orderable: false } // Change the index [1] if needed
            ]
      });

    $(".js-side-nav").click(function(e){
        e.preventDefault();
        var id = jQuery(this).data('id');
        jQuery(this).closest('.side-nav-tabs').next().find('.js-content-tab').hide();
        jQuery(id).show();
        jQuery(this).closest('.side-nav-tabs').find('li').removeClass('active');
        jQuery(this).parent().addClass('active');
    });

    $(".js-tab-navigate").click(function(e){
        e.preventDefault();
        var id = jQuery(this).data('id');
        jQuery(this).closest('.tabs-navigation').next().find('.tabs-content-item').hide();
        jQuery(id).show();
        jQuery(this).closest('.tabs-navigation').find('li').removeClass('active');
        jQuery(this).parent().addClass('active');
    });
} );